<?php

#Catch invalid access
if (!defined('MEDIAWIKI')) {
    echo <<<EOT
This file is no valid access point to MediaWiki. Install this Extension by placing
require_once( "\$IP/extensions/CognitiveProcessDesigner/CognitiveProcessDesigner.php" );
in LocalSettings.php
EOT;
    exit(1);
}

#Register extension
$wgExtensionCredits['specialpage'][] = array(
    'path' => __FILE__,
    'name' => 'Cognitive Process Designer',
    'author' => array(
		'[http://www.aifb.kit.edu/web/Tobias_Weller Tobias Weller]',
		'[http://www.aifb.kit.edu/web/Maria_Maleshkova Maria Maleshkova]',
		),
    'description' => 'Draw BPMN processes with a graphical user interface in MediaWiki',
    'url' => 'https://www.mediawiki.org/wiki/Extension:Cognitive_Process_Designer',
    'version'  => '0.7.2',
    'license-name' => "Apache 2.0",   // Short name of the license, links LICENSE or COPYING file if existing - string, added in 1.23.0
);


#Init special pages
$wgMessagesDirs['CognitiveProcessDesigner'] = __DIR__ . '/i18n';
$wgExtensionMessagesFiles['SpecialCognitiveProcessDesignerTestSuiteAlias'] = __DIR__ . '/includes/SpecialCognitiveProcessDesignerTestSuite.alias.php';
$wgExtensionMessagesFiles['SpecialCognitiveProcessDesignerEditAlias'] = __DIR__ . '/includes/SpecialCognitiveProcessDesignerEdit.alias.php';
$wgAutoloadClasses['SpecialCognitiveProcessDesignerTestSuite'] = __DIR__ . '/includes/SpecialCognitiveProcessDesignerTestSuite.php';
$wgAutoloadClasses['SpecialCognitiveProcessDesignerEdit'] = __DIR__ . '/includes/SpecialCognitiveProcessDesignerEdit.php';
$wgSpecialPages['CognitiveProcessDesignerEdit'] = 'SpecialCognitiveProcessDesignerEdit';
$wgSpecialPages['CognitiveProcessDesignerTestSuite'] = 'SpecialCognitiveProcessDesignerTestSuite';